/widget/sell/rate

Get currency sell rate

Query Parameters
  • from
    Type: string
    required

    Currency to convert from

  • to
    Type: string
    required

    Currency to convert to

  • type
    Type: string
    required

    Transactions type

  • amount
    Type: string
    required

    Amount to convert

  • is_total
    Type: boolean

    Is passed amount with fee.

  • widget_id
    Type: string
    required

    Widget id

  • network
    Type: string

    Cryptocurrency network

  • payment_method
    Type: stringenum

    Payment method for fees and kyc

    values
    • card
    • fiat_card_open
    • fiat_card_topup
    • spend_card_open
    • spend_card_topup
    • sepa
Responses
  • application/json
  • application/json
  • 403

    Forbidden

  • 500

    Internal server error

Request Example for get/widget/sell/rate
curl 'https://sandbox-api.mrcr.io/v1.6/widget/sell/rate?from=&to=&type=&amount=&is_total=true&widget_id=&network=&payment_method=card'
{
  "status": 200,
  "data": {
    "sell_token": "055274baeb1985d56ad1f3bc9947ea8f1815fa54324188632c1341...",
    "currency": "BTC",
    "fiat_currency": "USD",
    "rate": "51879.29",
    "reverse_rate": "0.00001927",
    "fee": {
      "BTC": "0.00041386",
      "USD": "4.00"
    },
    "subtotal": {
      "BTC": "0.01076048",
      "USD": "96.00"
    },
    "total": {
      "BTC": "0.01076048",
      "USD": "100.00"
    }
  }
}